Page MenuHomePhabricator

Define main tasks (epics) for code review in Phabricator
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
Resolved Dzahn
ResolvedCmjohnson
Resolved Dzahn
Resolveddemon
Resolveddemon
ResolvedDanny_B
ResolvedPaladox
ResolvedPaladox
ResolvedNemo_bis
Resolveddemon
ResolvedPaladox
ResolvedKrenair
Resolvedmmodell
InvalidNone
DeclinedNone
Resolveddemon
InvalidNone
InvalidNone
ResolvedQgil
DeclinedNone
DuplicateNone
Resolvedgreg
Resolvedgreg

Event Timeline

Qgil created this task.Oct 8 2014, 11:42 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil claimed this task.
Qgil changed Security from none to None.
Qgil added subscribers: Aklapper, Qgil, greg and 15 others.
Qgil moved this task from To Triage to Documentation on the Gerrit-Migration board.Oct 9 2014, 1:49 PM
Qgil updated the task description. (Show Details)Oct 9 2014, 4:28 PM
Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.
Qgil added a comment.EditedOct 9 2014, 8:36 PM

What do you think about the first draft of an "epic" list? I will continue digging in these two areas:

There was a lot of discussion about them last Spring, and I will go through all those comments again to see what looks like a blocker or something we'd better work on sooner than later.

Qgil updated the task description. (Show Details)Oct 9 2014, 8:38 PM
Qgil updated the task description. (Show Details)Oct 10 2014, 9:23 AM
Qgil updated the task description. (Show Details)Oct 10 2014, 11:29 AM
Qgil lowered the priority of this task from High to Normal.Oct 20 2014, 10:35 PM
Qgil lowered the priority of this task from Normal to Low.Oct 28 2014, 2:24 PM
Qgil removed Qgil as the assignee of this task.Nov 3 2014, 12:53 PM
Qgil moved this task from Documentation to Tooling on the Gerrit-Migration board.Nov 4 2014, 7:46 AM
greg removed a subscriber: greg.Dec 8 2014, 6:13 PM
jayvdb added a subscriber: jayvdb.Mar 3 2015, 9:27 AM
greg updated the task description. (Show Details)Dec 2 2015, 12:23 AM
greg raised the priority of this task from Low to Normal.
greg moved this task from Tooling to Documentation on the Gerrit-Migration board.
greg added a comment.Dec 2 2015, 1:12 AM

So, I'm still not sure of the usefullness of this. The original intent, I believe, was to get an idea of how 'hard' it was going to be to do this. (iow: "We have 5 epics worth of work, that's 5 x $some_multiple so $some_number_of_months worth of work.") We (RelEng) aren't that sophisticated yet in our forecasting (shame on us, can we get a TPG team member on our team?) and we're plugging ahead (of course, with the RFC (T119908) leading us).

Given 1) the original intent, 2) the current reality of how RelEng works, and 3) the fact that the Gerrit-Migration project is (mostly) well groomed and (mostly) only contains real blockers of the migration... I recommend that this task be closed/resolved.

I will say, while I think this task ran it's course, it was useful and a lot of good work was done to get us to where we are now. Thanks all. :)

In T584#1843538, @greg wrote:

So, I'm still not sure of the usefullness of this. The original intent, I believe, was to get an idea of how 'hard' it was going to be to do this. (iow: "We have 5 epics worth of work, that's 5 x $some_multiple so $some_number_of_months worth of work.") We (RelEng) aren't that sophisticated yet in our forecasting (shame on us, can we get a TPG team member on our team?) and we're plugging ahead (of course, with the RFC (T119908) leading us).

Given 1) the original intent, 2) the current reality of how RelEng works, and 3) the fact that the Gerrit-Migration project is (mostly) well groomed and (mostly) only contains real blockers of the migration... I recommend that this task be closed/resolved.

I will say, while I think this task ran it's course, it was useful and a lot of good work was done to get us to where we are now. Thanks all. :)

The fact that the two things this is meant to block are closed (resolved and duplicate, respectively) is a bad sign…

greg closed this task as Resolved.Dec 2 2015, 1:23 AM
greg claimed this task.

As such, marking as done. If you're curious about "What needs to happen to get this done?" go to the Gerrit-Migration workboard.

Restricted Application added a project: User-greg. · View Herald TranscriptDec 2 2015, 1:23 AM
Qgil added a comment.Dec 2 2015, 11:48 AM

Not that it matters but yes, I agree that the purpose of this task has been superseded by Gerrit-Migration. When this task was created, our brains were still filled with lots of question marks about the Bugzilla migration, several of them affecting a fuzzier Gerrit migration. The purpose was to have a high level overview of the work that would need to be done, well before a team would commit to start working on it.

You don't know how happy I am that the Gerrit migration is progressing, and I have no merit or responsibility on it. ;)

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 14 2016, 4:16 PM
Dalba added a subscriber: Dalba.Dec 13 2016, 5:09 AM